SND_AC97_TUNE_HARDWA(9)

NAME
snd_ac97_tune_hardware - tune up the hardware

SYNOPSIS

int snd_ac97_tune_hardware(struct snd_ac97 * ac97, struct ac97_quirk * quirk, const char * override);

ARGUMENTS

ac97
    the ac97 instance

quirk
    quirk list

override
    explicit quirk value (overrides the list if non-NULL)

DESCRIPTION

Do some workaround for each pci device, such as renaming of the headphone (true line-out) control as “Master”. The quirk-list must be terminated with a zero-filled entry.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT